#!/bin/bash

package=tinyxml-gs
version=-2.6.2

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXTPARALLELBUILDING ../.. $*

prefix=$GEXTPARALLELBUILDING_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version $prefix

# Only compile if necessary - we don't edit these source files.
if [ ! -e "$GEXTPARALLELBUILDING_INSTALLED/lib/libtinyxml.a" ]
then
  opt_run_make $compile   $package $version
  opt_run_make $install   $package $version "install"
else
  echo "TinyXML library already compiled => no need to recompile"
fi

opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version





